<div class="container-fluid">
    <h4>Character Creator (cm):</h4>
    <div class="row">
        <div class="col-sm-3">
            <form (ngSubmit)="onSubmit(f)" #f=ngForm>
                <div class="row">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label for="">Height</label>
                            <input type="number" min="150" max="220" [ngModel]="150" name="Height" class="form-control">
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label for="">Neck</label>
                            <input type="number" min="32" max="54" class="form-control" [ngModel]="32" name="Neck">
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label for="">Shoulder</label>
                            <input type="number" min="34" max="50" class="form-control" [ngModel]="34" name="Shoulder">
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label for="">Chest</label>
                            <input type="number" min="70" max="150" class="form-control" [ngModel]="70" name="Chest">
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label for="">Waist</label>
                            <input type="number" min="54" max="158" class="form-control" [ngModel]="54" name="Waist">
                        </div>
                    </div>

                    <div class="col-sm-6">
                        <div class="form-group">
                            <label for="">Sleeve</label>
                            <input type="number" min="69" max="100" class="form-control" [ngModel]="69" name="Sleeve">
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label for="">Hip</label>
                            <input type="number" min="65" max="154" class="form-control" [ngModel]="65" name="Hip">
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <div class="form-group">
                            <button class="btn btn-primary" type="submit">Create</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <div class="col-sm-9">
            <div class="engine-wrapper">
                <canvas #rendererCanvas id="renderCanvas"></canvas>
            </div>
        </div>

    </div>
</div>